al = sqrt(8)
N = 2000


def branch( k, c ):
	B = []
	tk = k
	while tk<N:
		temp = (2*pi*al*sqrt(tk)).n()
		temp2 = (sqrt(tk)/pi/al).n()
		B.append( (temp2*sin(temp), temp2*cos(temp))  )
		tk += floor( 2/al*sqrt(tk)+1/al^2+1/2  )
	return list_plot(B, size=10, zorder=10, color = c)

	
def para_spir(al, h):
	L = []
	for k in srange(0,N,h):
		temp = (2*pi*al*sqrt(k)).n()
		temp2 = (sqrt(k)/pi/al).n()
		L.append( (temp2*sin(temp), temp2*cos(temp))  )
	return list_plot(L, plotjoined=True, thickness=0.25, color='green')
	
def spi(al):

	L = []
	for k in srange(N):
		temp = (2*pi*al*sqrt(k)).n()
		temp2 = (sqrt(k)/pi/al).n()
		L.append( (temp2*sin(temp), temp2*cos(temp))  )

	return list_plot(L, size=5, zorder=5)
	
P = spi(al)
P += para_spir(al, 0.1)

P += branch(18,'red')

P.set_aspect_ratio(1)
P.axes(False)
P.fontsize(20)
P.save('./borri.eps')
