al = 1
N = 3000
N = 1000

def main_spi():
	L = []
	for k in srange(N):
		temp = (2*pi*al*sqrt(k)).n()
		temp2 = (sqrt(k)/pi/al).n()
		L.append( (temp2*sin(temp), temp2*cos(temp))  )
	return list_plot(L, size=5)

def branch( k, c ):
	B = []
	tk = k
	while tk<N:
		temp = (2*pi*al*sqrt(tk)).n()
		temp2 = (sqrt(tk)/pi/al).n()
		B.append( (temp2*sin(temp), temp2*cos(temp))  )
		tk += floor( 2/al*sqrt(tk)+1/al^2+1/2  )
	return list_plot(B, size=12, zorder=10, color = c)

	
P = main_spi()


# 1st quadrant
K = 28
for k in srange(K):
	P += branch( 4*k^2+k, (k/K,1-k/K,0) )

# 2nd quadrant
K = 28
for k in srange(K):
	P += branch( 4*k^2+11*k+8, (1,1-k/K,k/K) )
# 4(k+2)-5(k+2)+2


	
# 3rd quadrant
K = 28
for k in srange(K):
	P += branch( 4*k^2+7*k+3, (1-k/K,0,k/K) )
# 4(k+1)^2-(k+1)

# 4th quadrant
K = 28
for k in srange(K):
	P += branch( 4*k^2+5*k+2, (0,k/K,1-k/K) )

	
	
P = main_spi()
P += branch( 4*10^2+10, 'red' )
P.set_aspect_ratio(1)
P.axes(False)
P.fontsize(20)
P.save('../images/branch11.eps')
	
	
P = main_spi()
P += branch( 4*12^2-5*12+2, 'red' )
P.set_aspect_ratio(1)
P.axes(False)
P.fontsize(20)
P.save('../images/branch12.eps')

P = main_spi()
P += branch( 4*11^2-11, 'red' )
P.set_aspect_ratio(1)
P.axes(False)
P.fontsize(20)
P.save('../images/branch13.eps')


P.save('./borri.eps')

